using System;


namespace TMS1000Sample
{

	/// <summary>
	/// explanation of the outline of Properties
	/// </summary>
	public class Properties
	{
		protected System.Collections.Hashtable m_Values;

		public Properties()
		{
			// 
			// TODO: Add the constructor logic here
			//
			m_Values = new System.Collections.Hashtable();
			m_Values.Add("Scan Func", 0);
			m_Values.Add("Electronic Endoese Text", false);
			m_Values.Add("Electronic Endoese Image", false);
		}

		public Properties(Properties Proc)
		{
			m_Values = Proc.m_Values;
		}

		// This method is settings value
		public void SetValue(string strName, object oValue)
		{
			if(m_Values.Contains(strName))
			{
				// If strName exists renewal the value
				m_Values[strName] = oValue;
			}
			else
			{
				// If strName does not exist it adds it
				m_Values.Add(strName, oValue);
			}
		}

		// This method is return value
		public int GetValue(string strName)
		{
			if(m_Values.Contains(strName))
			{
				// If strName exists return to value
				return Convert.ToInt32(m_Values[strName]);
			}
			// If strName does not exist return to 0
			return 0;
		}

		// This method is return value 
		public bool GetValueBool(string strName)
		{
			// Change the values to boolean
			return Convert.ToBoolean(GetValue(strName));
		}
	}
}
