using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;

using com.epson.bank.driver;

namespace TMS1000Sample
{
	/// <summary>
	/// explanation of the outline of IqaResultForm
	/// </summary>
	public class IqaResultForm : System.Windows.Forms.Form
	{
		private System.Windows.Forms.Label label1;
		private System.Windows.Forms.Label label2;
		private System.Windows.Forms.Label label3;
		private System.Windows.Forms.Label label4;
		private System.Windows.Forms.Label label5;
		private System.Windows.Forms.Label label6;
		private System.Windows.Forms.Label label7;
		private System.Windows.Forms.Label label8;
		private System.Windows.Forms.Label label9;
		private System.Windows.Forms.Label label10;
		private System.Windows.Forms.Label label11;
		private System.Windows.Forms.Label label12;
		private System.Windows.Forms.Label label13;
		private System.Windows.Forms.Label label14;
		private System.Windows.Forms.Label label15;
		private System.Windows.Forms.Label label16;
		private System.Windows.Forms.TextBox textBoxUnderSize;
		private System.Windows.Forms.TextBox textBoxOverSize;
		private System.Windows.Forms.TextBox textBoxMinCompressed;
		private System.Windows.Forms.TextBox textBoxMaxCompressed;
		private System.Windows.Forms.TextBox textBoxFrontRear;
		private System.Windows.Forms.TextBox textBoxTooLight;
		private System.Windows.Forms.TextBox textBoxTooDark;
		private System.Windows.Forms.TextBox textBoxStreaks;
		private System.Windows.Forms.TextBox textBoxNoise;
		private System.Windows.Forms.TextBox textBoxFocus;
		private System.Windows.Forms.TextBox textBoxCorners;
		private System.Windows.Forms.TextBox textBoxEdges;
		private System.Windows.Forms.TextBox textBoxFramingError;
		private System.Windows.Forms.TextBox textBoxSkew;
		private System.Windows.Forms.TextBox textBoxCarbonStrip;
		private System.Windows.Forms.TextBox textBoxPiggyback;
		/// <summary>
		/// necessary designer variable
		/// </summary>
		private System.ComponentModel.Container components = null;

		protected TMS1000SampleForm m_objTms1000 = null;

		public IqaResultForm()
		{
			//
			// Required by the Windows Form Designer
			//
			InitializeComponent();

			//
			// TODO: InitializeComponent
			//
		}

		/// <summary>
		/// Postprocessing is run to the resource that is used
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );

			// Because I put out IqaResultForm it makes m_bIqaResult false
			m_objTms1000.m_bIqaResult = false;
		}

		#region Create code by Windwos Form Designer 
		/// <summary>
		/// The following procedure is required by the Windows Form Designer
		/// It can be modified using the Windows Form Designer.
		/// Do not modify it using the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			this.label1 = new System.Windows.Forms.Label();
			this.label2 = new System.Windows.Forms.Label();
			this.label3 = new System.Windows.Forms.Label();
			this.label4 = new System.Windows.Forms.Label();
			this.label5 = new System.Windows.Forms.Label();
			this.label6 = new System.Windows.Forms.Label();
			this.label7 = new System.Windows.Forms.Label();
			this.label8 = new System.Windows.Forms.Label();
			this.label9 = new System.Windows.Forms.Label();
			this.label10 = new System.Windows.Forms.Label();
			this.label11 = new System.Windows.Forms.Label();
			this.label12 = new System.Windows.Forms.Label();
			this.label13 = new System.Windows.Forms.Label();
			this.label14 = new System.Windows.Forms.Label();
			this.label15 = new System.Windows.Forms.Label();
			this.label16 = new System.Windows.Forms.Label();
			this.textBoxUnderSize = new System.Windows.Forms.TextBox();
			this.textBoxOverSize = new System.Windows.Forms.TextBox();
			this.textBoxMinCompressed = new System.Windows.Forms.TextBox();
			this.textBoxMaxCompressed = new System.Windows.Forms.TextBox();
			this.textBoxFrontRear = new System.Windows.Forms.TextBox();
			this.textBoxTooLight = new System.Windows.Forms.TextBox();
			this.textBoxTooDark = new System.Windows.Forms.TextBox();
			this.textBoxStreaks = new System.Windows.Forms.TextBox();
			this.textBoxNoise = new System.Windows.Forms.TextBox();
			this.textBoxFocus = new System.Windows.Forms.TextBox();
			this.textBoxCorners = new System.Windows.Forms.TextBox();
			this.textBoxEdges = new System.Windows.Forms.TextBox();
			this.textBoxFramingError = new System.Windows.Forms.TextBox();
			this.textBoxSkew = new System.Windows.Forms.TextBox();
			this.textBoxCarbonStrip = new System.Windows.Forms.TextBox();
			this.textBoxPiggyback = new System.Windows.Forms.TextBox();
			this.SuspendLayout();
			// 
			// label1
			// 
			this.label1.Location = new System.Drawing.Point(16, 16);
			this.label1.Name = "label1";
			this.label1.Size = new System.Drawing.Size(120, 16);
			this.label1.TabIndex = 0;
			this.label1.Text = "Under size";
			this.label1.TextAlign = System.Drawing.ContentAlignment.MiddleRight;
			// 
			// label2
			// 
			this.label2.Location = new System.Drawing.Point(16, 40);
			this.label2.Name = "label2";
			this.label2.Size = new System.Drawing.Size(120, 16);
			this.label2.TabIndex = 0;
			this.label2.Text = "Over size";
			this.label2.TextAlign = System.Drawing.ContentAlignment.MiddleRight;
			// 
			// label3
			// 
			this.label3.Location = new System.Drawing.Point(16, 64);
			this.label3.Name = "label3";
			this.label3.Size = new System.Drawing.Size(120, 16);
			this.label3.TabIndex = 0;
			this.label3.Text = "MinCompressed";
			this.label3.TextAlign = System.Drawing.ContentAlignment.MiddleRight;
			// 
			// label4
			// 
			this.label4.Location = new System.Drawing.Point(16, 88);
			this.label4.Name = "label4";
			this.label4.Size = new System.Drawing.Size(120, 16);
			this.label4.TabIndex = 0;
			this.label4.Text = "MaxCompressed";
			this.label4.TextAlign = System.Drawing.ContentAlignment.MiddleRight;
			// 
			// label5
			// 
			this.label5.Location = new System.Drawing.Point(16, 112);
			this.label5.Name = "label5";
			this.label5.Size = new System.Drawing.Size(120, 16);
			this.label5.TabIndex = 0;
			this.label5.Text = "Front rear mismatch";
			this.label5.TextAlign = System.Drawing.ContentAlignment.MiddleRight;
			// 
			// label6
			// 
			this.label6.Location = new System.Drawing.Point(16, 136);
			this.label6.Name = "label6";
			this.label6.Size = new System.Drawing.Size(120, 16);
			this.label6.TabIndex = 0;
			this.label6.Text = "Too light";
			this.label6.TextAlign = System.Drawing.ContentAlignment.MiddleRight;
			// 
			// label7
			// 
			this.label7.Location = new System.Drawing.Point(16, 160);
			this.label7.Name = "label7";
			this.label7.Size = new System.Drawing.Size(120, 16);
			this.label7.TabIndex = 0;
			this.label7.Text = "Too dark";
			this.label7.TextAlign = System.Drawing.ContentAlignment.MiddleRight;
			// 
			// label8
			// 
			this.label8.Location = new System.Drawing.Point(16, 184);
			this.label8.Name = "label8";
			this.label8.Size = new System.Drawing.Size(120, 16);
			this.label8.TabIndex = 0;
			this.label8.Text = "Horizontal streaks";
			this.label8.TextAlign = System.Drawing.ContentAlignment.MiddleRight;
			// 
			// label9
			// 
			this.label9.Location = new System.Drawing.Point(16, 208);
			this.label9.Name = "label9";
			this.label9.Size = new System.Drawing.Size(120, 16);
			this.label9.TabIndex = 0;
			this.label9.Text = "Spot noise";
			this.label9.TextAlign = System.Drawing.ContentAlignment.MiddleRight;
			// 
			// label10
			// 
			this.label10.Location = new System.Drawing.Point(16, 232);
			this.label10.Name = "label10";
			this.label10.Size = new System.Drawing.Size(120, 16);
			this.label10.TabIndex = 0;
			this.label10.Text = "Out of focus";
			this.label10.TextAlign = System.Drawing.ContentAlignment.MiddleRight;
			// 
			// label11
			// 
			this.label11.Location = new System.Drawing.Point(16, 256);
			this.label11.Name = "label11";
			this.label11.Size = new System.Drawing.Size(120, 16);
			this.label11.TabIndex = 0;
			this.label11.Text = "Doc corners";
			this.label11.TextAlign = System.Drawing.ContentAlignment.MiddleRight;
			// 
			// label12
			// 
			this.label12.Location = new System.Drawing.Point(16, 280);
			this.label12.Name = "label12";
			this.label12.Size = new System.Drawing.Size(120, 16);
			this.label12.TabIndex = 0;
			this.label12.Text = "Doc edges";
			this.label12.TextAlign = System.Drawing.ContentAlignment.MiddleRight;
			// 
			// label13
			// 
			this.label13.Location = new System.Drawing.Point(16, 304);
			this.label13.Name = "label13";
			this.label13.Size = new System.Drawing.Size(120, 16);
			this.label13.TabIndex = 0;
			this.label13.Text = "Framing error";
			this.label13.TextAlign = System.Drawing.ContentAlignment.MiddleRight;
			// 
			// label14
			// 
			this.label14.Location = new System.Drawing.Point(16, 328);
			this.label14.Name = "label14";
			this.label14.Size = new System.Drawing.Size(120, 16);
			this.label14.TabIndex = 0;
			this.label14.Text = "skew";
			this.label14.TextAlign = System.Drawing.ContentAlignment.MiddleRight;
			// 
			// label15
			// 
			this.label15.Location = new System.Drawing.Point(16, 352);
			this.label15.Name = "label15";
			this.label15.Size = new System.Drawing.Size(120, 16);
			this.label15.TabIndex = 0;
			this.label15.Text = "Carbon strip";
			this.label15.TextAlign = System.Drawing.ContentAlignment.MiddleRight;
			// 
			// label16
			// 
			this.label16.Location = new System.Drawing.Point(16, 376);
			this.label16.Name = "label16";
			this.label16.Size = new System.Drawing.Size(120, 16);
			this.label16.TabIndex = 0;
			this.label16.Text = "Piggyback";
			this.label16.TextAlign = System.Drawing.ContentAlignment.MiddleRight;
			// 
			// textBoxUnderSize
			// 
			this.textBoxUnderSize.Location = new System.Drawing.Point(152, 16);
			this.textBoxUnderSize.Name = "textBoxUnderSize";
			this.textBoxUnderSize.ReadOnly = true;
			this.textBoxUnderSize.TabIndex = 1;
			this.textBoxUnderSize.Text = "";
			// 
			// textBoxOverSize
			// 
			this.textBoxOverSize.Location = new System.Drawing.Point(152, 40);
			this.textBoxOverSize.Name = "textBoxOverSize";
			this.textBoxOverSize.ReadOnly = true;
			this.textBoxOverSize.TabIndex = 1;
			this.textBoxOverSize.Text = "";
			// 
			// textBoxMinCompressed
			// 
			this.textBoxMinCompressed.Location = new System.Drawing.Point(152, 64);
			this.textBoxMinCompressed.Name = "textBoxMinCompressed";
			this.textBoxMinCompressed.ReadOnly = true;
			this.textBoxMinCompressed.TabIndex = 1;
			this.textBoxMinCompressed.Text = "";
			// 
			// textBoxMaxCompressed
			// 
			this.textBoxMaxCompressed.Location = new System.Drawing.Point(152, 88);
			this.textBoxMaxCompressed.Name = "textBoxMaxCompressed";
			this.textBoxMaxCompressed.ReadOnly = true;
			this.textBoxMaxCompressed.TabIndex = 1;
			this.textBoxMaxCompressed.Text = "";
			// 
			// textBoxFrontRear
			// 
			this.textBoxFrontRear.Location = new System.Drawing.Point(152, 112);
			this.textBoxFrontRear.Name = "textBoxFrontRear";
			this.textBoxFrontRear.ReadOnly = true;
			this.textBoxFrontRear.TabIndex = 1;
			this.textBoxFrontRear.Text = "";
			// 
			// textBoxTooLight
			// 
			this.textBoxTooLight.Location = new System.Drawing.Point(152, 136);
			this.textBoxTooLight.Name = "textBoxTooLight";
			this.textBoxTooLight.ReadOnly = true;
			this.textBoxTooLight.TabIndex = 1;
			this.textBoxTooLight.Text = "";
			// 
			// textBoxTooDark
			// 
			this.textBoxTooDark.Location = new System.Drawing.Point(152, 160);
			this.textBoxTooDark.Name = "textBoxTooDark";
			this.textBoxTooDark.ReadOnly = true;
			this.textBoxTooDark.TabIndex = 1;
			this.textBoxTooDark.Text = "";
			// 
			// textBoxStreaks
			// 
			this.textBoxStreaks.Location = new System.Drawing.Point(152, 184);
			this.textBoxStreaks.Name = "textBoxStreaks";
			this.textBoxStreaks.ReadOnly = true;
			this.textBoxStreaks.TabIndex = 1;
			this.textBoxStreaks.Text = "";
			// 
			// textBoxNoise
			// 
			this.textBoxNoise.Location = new System.Drawing.Point(152, 208);
			this.textBoxNoise.Name = "textBoxNoise";
			this.textBoxNoise.ReadOnly = true;
			this.textBoxNoise.TabIndex = 1;
			this.textBoxNoise.Text = "";
			// 
			// textBoxFocus
			// 
			this.textBoxFocus.Location = new System.Drawing.Point(152, 232);
			this.textBoxFocus.Name = "textBoxFocus";
			this.textBoxFocus.ReadOnly = true;
			this.textBoxFocus.TabIndex = 1;
			this.textBoxFocus.Text = "";
			// 
			// textBoxCorners
			// 
			this.textBoxCorners.Location = new System.Drawing.Point(152, 256);
			this.textBoxCorners.Name = "textBoxCorners";
			this.textBoxCorners.ReadOnly = true;
			this.textBoxCorners.TabIndex = 1;
			this.textBoxCorners.Text = "";
			// 
			// textBoxEdges
			// 
			this.textBoxEdges.Location = new System.Drawing.Point(152, 280);
			this.textBoxEdges.Name = "textBoxEdges";
			this.textBoxEdges.ReadOnly = true;
			this.textBoxEdges.TabIndex = 1;
			this.textBoxEdges.Text = "";
			// 
			// textBoxFramingError
			// 
			this.textBoxFramingError.Location = new System.Drawing.Point(152, 304);
			this.textBoxFramingError.Name = "textBoxFramingError";
			this.textBoxFramingError.ReadOnly = true;
			this.textBoxFramingError.TabIndex = 1;
			this.textBoxFramingError.Text = "";
			// 
			// textBoxSkew
			// 
			this.textBoxSkew.Location = new System.Drawing.Point(152, 328);
			this.textBoxSkew.Name = "textBoxSkew";
			this.textBoxSkew.ReadOnly = true;
			this.textBoxSkew.TabIndex = 1;
			this.textBoxSkew.Text = "";
			// 
			// textBoxCarbonStrip
			// 
			this.textBoxCarbonStrip.Location = new System.Drawing.Point(152, 352);
			this.textBoxCarbonStrip.Name = "textBoxCarbonStrip";
			this.textBoxCarbonStrip.ReadOnly = true;
			this.textBoxCarbonStrip.TabIndex = 1;
			this.textBoxCarbonStrip.Text = "";
			// 
			// textBoxPiggyback
			// 
			this.textBoxPiggyback.Location = new System.Drawing.Point(152, 376);
			this.textBoxPiggyback.Name = "textBoxPiggyback";
			this.textBoxPiggyback.ReadOnly = true;
			this.textBoxPiggyback.TabIndex = 1;
			this.textBoxPiggyback.Text = "";
			// 
			// IqaResultForm
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 12);
			this.ClientSize = new System.Drawing.Size(280, 414);
			this.Controls.Add(this.textBoxUnderSize);
			this.Controls.Add(this.label1);
			this.Controls.Add(this.label2);
			this.Controls.Add(this.label3);
			this.Controls.Add(this.label4);
			this.Controls.Add(this.label5);
			this.Controls.Add(this.label6);
			this.Controls.Add(this.label7);
			this.Controls.Add(this.label8);
			this.Controls.Add(this.label9);
			this.Controls.Add(this.label10);
			this.Controls.Add(this.label11);
			this.Controls.Add(this.label12);
			this.Controls.Add(this.label13);
			this.Controls.Add(this.label14);
			this.Controls.Add(this.label15);
			this.Controls.Add(this.label16);
			this.Controls.Add(this.textBoxOverSize);
			this.Controls.Add(this.textBoxMinCompressed);
			this.Controls.Add(this.textBoxMaxCompressed);
			this.Controls.Add(this.textBoxFrontRear);
			this.Controls.Add(this.textBoxTooLight);
			this.Controls.Add(this.textBoxTooDark);
			this.Controls.Add(this.textBoxStreaks);
			this.Controls.Add(this.textBoxNoise);
			this.Controls.Add(this.textBoxFocus);
			this.Controls.Add(this.textBoxCorners);
			this.Controls.Add(this.textBoxEdges);
			this.Controls.Add(this.textBoxFramingError);
			this.Controls.Add(this.textBoxSkew);
			this.Controls.Add(this.textBoxCarbonStrip);
			this.Controls.Add(this.textBoxPiggyback);
			this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedDialog;
			this.MaximizeBox = false;
			this.Name = "IqaResultForm";
			this.Text = "IQA Result";
			this.ResumeLayout(false);

		}
		#endregion

		// copy TMS1000SampleForm object
		public void SetMainForm(TMS1000SampleForm Item)
		{
			m_objTms1000 = Item;
		}

		public void SetIqaResult(MFIqaResult mfResult)
		{
			DisplayResult(mfResult.UndersizeImage.Result, textBoxUnderSize);
			DisplayResult(mfResult.OversizeImage.Result, textBoxOverSize);
			DisplayResult(mfResult.MinCompressedImageSize.Result, textBoxMinCompressed);
			DisplayResult(mfResult.MaxCompressedImageSize.Result, textBoxMaxCompressed);
			DisplayResult(mfResult.FrontRearImageMismatch.Result, textBoxFrontRear);
			DisplayResult(mfResult.ImageTooLight.Result, textBoxTooLight);
			DisplayResult(mfResult.ImageTooDark.Result, textBoxTooDark);
			DisplayResult(mfResult.HorizontalStreaksPresent.Result, textBoxStreaks);
			DisplayResult(mfResult.ExcessiveSpotNoise.Result, textBoxNoise);
			DisplayResult(mfResult.ImageOutOfFocus.Result, textBoxFocus);
			DisplayResult(mfResult.FoldedTornDocCorners.Result, textBoxCorners);
			DisplayResult(mfResult.FoldedTornDocEdges.Result, textBoxEdges);
			DisplayResult(mfResult.DocFramingError.Result, textBoxFramingError);
			DisplayResult(mfResult.ExcessiveDocSkew.Result, textBoxSkew);
			DisplayResult(mfResult.CarbonStripDetection.Result, textBoxCarbonStrip);
			DisplayResult(mfResult.Piggyback.Result, textBoxPiggyback);
		}

		protected void DisplayResult(MfIqaResultValue eResult, TextBox objText)
		{
			switch(eResult)
			{
				case MfIqaResultValue.IQARESULT_NOT_TESTED:
					objText.Text = "Not Tested.";
					break;
				case MfIqaResultValue.IQARESULT_PASS:
					objText.Text = "Pass.";
					break;
				case MfIqaResultValue.IQARESULT_NOT_PASS:
					objText.Text = "Not Pass.";
					break;
			};
		}
	}
}
