#pragma once
#include "afxcmn.h"
#include "ImageDlg.h"
#include "EndorseDlg.h"


// CConfigureDlg Dialog

class CConfigureDlg : public CDialog
{
	DECLARE_DYNAMIC(CConfigureDlg)

public:
	CConfigureDlg(CWnd* pParent = NULL);   // standard constructor
	virtual ~CConfigureDlg();

	void SetEnableApply();

// Dialog Data
	enum { IDD = IDD_CONFIGURE_DIALOG };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	virtual BOOL OnInitDialog();
	DECLARE_MESSAGE_MAP()

	CImageDlg m_ImageDlg;
	CEndorseDlg m_EndorseDlg;

public:
	afx_msg void OnBnClickedOk();
	afx_msg void OnBnClickedCancel();
	afx_msg void OnBnClickedButtonApply();
	CTabCtrl m_tabConfigure;
	afx_msg void OnTcnSelchangeTab1(NMHDR *pNMHDR, LRESULT *pResult);
};
