#pragma once
#include "Properties.h"


// CDoubleFeedDlg Dialog

class CDoubleFeedDlg : public CDialog
{
	DECLARE_DYNAMIC(CDoubleFeedDlg)

public:
	CDoubleFeedDlg(CWnd* pParent = NULL);   // standard constructor
	virtual ~CDoubleFeedDlg();

	class CConfigureDlg* m_pConfigure;

	void Apply();

// dialog data
	enum { IDD = IDD_DOUBLE_FEED_DIALOG };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	virtual BOOL OnInitDialog();
	DECLARE_MESSAGE_MAP()

	CProperties m_Properties;

	void SetEnableItem(BOOL bCheck);
public:
	afx_msg void OnBnClickedCheckDetect();
	afx_msg void OnCbnSelchangeComboEject();
	afx_msg void OnBnClickedCheckStamp();
	afx_msg void OnBnClickedCheckCancel();
};
