// EndorseDlg.cpp : implementation file
//

#include "stdafx.h"
#include "TM-S1000Sample.h"
#include "EndorseDlg.h"
#include ".\endorsedlg.h"
#include "ConfigureDlg.h"


// CEndorseDlg Dialog

IMPLEMENT_DYNAMIC(CEndorseDlg, CDialog)
CEndorseDlg::CEndorseDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CEndorseDlg::IDD, pParent)
{
}

CEndorseDlg::~CEndorseDlg()
{
}

void CEndorseDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
}


BEGIN_MESSAGE_MAP(CEndorseDlg, CDialog)
	ON_BN_CLICKED(IDC_CHECK_ELECTORONIC_TEXT, OnBnClickedCheckElectoronicText)
	ON_BN_CLICKED(IDC_CHECK_ELECTORONIC_IMAGE, OnBnClickedCheckElectoronicImage)
END_MESSAGE_MAP()


// CEndorseDlg message handlers
BOOL CEndorseDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	((CButton*)GetDlgItem(IDC_CHECK_ELECTORONIC_TEXT))->SetCheck(theApp.m_Properties.GetValueDefFalse(ELEC_ENDORSE_TEXT));
	((CButton*)GetDlgItem(IDC_CHECK_ELECTORONIC_IMAGE))->SetCheck(theApp.m_Properties.GetValueDefFalse(ELEC_ENDORSE_IMAGE));

	return TRUE;
}

// This method is called when the user clicks the Apply button
void CEndorseDlg::Apply()
{
	theApp.m_Properties.SetProperty(&m_Properties);
}

// This method is called when the user clicks the Electronic Endorse checkbox
void CEndorseDlg::OnBnClickedCheckElectoronicText()
{
	UpdateData(TRUE);

	int iEndorse = FALSE;

	iEndorse = ((CButton*)GetDlgItem(IDC_CHECK_ELECTORONIC_TEXT))->GetCheck();
	m_Properties.SetValue(ELEC_ENDORSE_TEXT, iEndorse);

	m_pConfigure->SetEnableApply();
}

void CEndorseDlg::OnBnClickedCheckElectoronicImage()
{
	UpdateData(TRUE);

	int iEndorse = FALSE;

	iEndorse = ((CButton*)GetDlgItem(IDC_CHECK_ELECTORONIC_IMAGE))->GetCheck();
	m_Properties.SetValue(ELEC_ENDORSE_IMAGE, iEndorse);

	m_pConfigure->SetEnableApply();
}
