#pragma once
#include "Properties.h"


// CPaperMisInsertion Dialog

class CPaperMisInsertion : public CDialog
{
	DECLARE_DYNAMIC(CPaperMisInsertion)

public:
	CPaperMisInsertion(CWnd* pParent = NULL);   // standard constructor
	virtual ~CPaperMisInsertion();

	class CConfigureDlg* m_pConfigure;

	void Apply();

// dialog data
	enum { IDD = IDD_PAPER_MIS_INSERTION_DIALOG };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	virtual BOOL OnInitDialog();
	DECLARE_MESSAGE_MAP()

	CProperties m_Properties;

	void SetEnableItem(BOOL bCheck);

public:
	afx_msg void OnBnClickedCheckDetect();
	afx_msg void OnCbnSelchangeComboEject();
	afx_msg void OnBnClickedCheckStamp();
	afx_msg void OnBnClickedCheckCancel();
};
