// SuccessStamp.cpp : implementation file
//

#include "stdafx.h"
#include "TM-S1000Sample.h"
#include "SuccessStamp.h"
#include "ConfigureDlg.h"
#include ".\successstamp.h"


// CSuccessStamp Dialog

IMPLEMENT_DYNAMIC(CSuccessStamp, CDialog)
CSuccessStamp::CSuccessStamp(CWnd* pParent /*=NULL*/)
	: CDialog(CSuccessStamp::IDD, pParent)
{
}

CSuccessStamp::~CSuccessStamp()
{
}

void CSuccessStamp::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
}


BEGIN_MESSAGE_MAP(CSuccessStamp, CDialog)
	ON_CBN_SELCHANGE(IDC_COMBO_SUCCESS_STAMP, OnCbnSelchangeComboSuccessStamp)
END_MESSAGE_MAP()


// CSuccessStamp message handlers

BOOL CSuccessStamp::OnInitDialog()
{
	CDialog::OnInitDialog();

	((CComboBox*)GetDlgItem(IDC_COMBO_SUCCESS_STAMP))->SetCurSel(theApp.m_Properties.GetValueDefFalse(SUCCESS_STAMP));

	return TRUE;
}

void CSuccessStamp::OnCbnSelchangeComboSuccessStamp()
{
	m_Properties.SetValue(SUCCESS_STAMP, ((CComboBox*)GetDlgItem(IDC_COMBO_SUCCESS_STAMP))->GetCurSel());

	m_pConfigure->SetEnableApply();
}

void CSuccessStamp::Apply()
{
	theApp.m_Properties.SetProperty(&m_Properties);
}