#pragma once
#include "Properties.h"


// CBarcodeDlg Dialog

class CBarcodeDlg : public CDialog
{
	DECLARE_DYNAMIC(CBarcodeDlg)

public:
	CBarcodeDlg(CWnd* pParent = NULL);   // standard constructor
	virtual ~CBarcodeDlg();

	class CConfigureDlg* m_pConfigure;

	void Apply();

// dialog data
	enum { IDD = IDD_BARCODE_DIALOG };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()
	CProperties m_Properties;

	void SetEnableFrontItem(BOOL bCheck);
	void SetEnableBackItem(BOOL bCheck);

public:
	virtual BOOL OnInitDialog();
	afx_msg void OnBnClickedCheckDetectFront();
	afx_msg void OnCbnSelchangeComboEjectFront();
	afx_msg void OnBnClickedCheckStampFront();
	afx_msg void OnBnClickedCheckCancelFront();
	afx_msg void OnBnClickedCheckDetectBack();
	afx_msg void OnCbnSelchangeComboEjectBack();
	afx_msg void OnBnClickedCheckStampBack();
	afx_msg void OnBnClickedCheckCancelBack();
};
