#pragma once
#include "Properties.h"


// CConfirmation Dialog

class CConfirmation : public CDialog
{
	DECLARE_DYNAMIC(CConfirmation)

public:
	CConfirmation(CWnd* pParent = NULL);   // standard constructor
	virtual ~CConfirmation();

	class CConfigureDlg* m_pConfigure;

	void Apply();

// Dialog Data
	enum { IDD = IDD_CONFIRMATION_DIALOG };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	virtual BOOL OnInitDialog();
	DECLARE_MESSAGE_MAP()

	CProperties m_Properties;

	void EnableRunToScnResult(BOOL bEnable);
	void EnableCallToScnResult(BOOL bEnable);

public:
	afx_msg void OnBnClickedCheckConfirmation();
	afx_msg void OnBnClickedCheckRun();
	afx_msg void OnBnClickedButtonSetValues();
	afx_msg void OnBnClickedCheckNoCallScnToResult();
};
