Attribute VB_Name = "FunctionModule"
Option Explicit

Rem: Function
Rem: Step 1
Public Declare Function BiESCNEnable Lib "EpsStmApiWrapper.dll" (ByVal bStoreType As Byte) As Integer
Public Declare Function BiOpenMonPrinter Lib "EpsStmApiWrapper.dll" (ByVal nType As Integer, ByVal pName As String) As Integer
Public Declare Function BiSCNMICRSetStatusBackWnd Lib "EpsStmApiWrapper.dll" (ByVal Handle As Long, ByVal hwnd As Long, ByRef TransactionNumber As Long, ByRef MainStatus As Integer, ByRef SubStatus As Integer) As Integer
Public Declare Function BiSCNMICRFunctionPostPrint Lib "EpsStmApiWrapper.dll" (ByVal Handle As Long, ByVal Struct As Object, ByVal bFunction As Integer) As Integer
Public Declare Function BiSCNMICRCancelStatusBack Lib "EpsStmApiWrapper.dll" (ByVal Handle As Long) As Integer
Public Declare Function BiSCNMICRCancelFunction Lib "EpsStmApiWrapper.dll" (ByVal Handle As Long, ByVal EjectType As Integer) As Integer
Public Declare Function BiCloseMonPrinter Lib "EpsStmApiWrapper.dll" (ByVal Handle As Long) As Integer
Public Declare Sub CopyMemory Lib "kernel32" Alias "RtlMoveMemory" (Destination As Any, Source As Any, ByVal Length As Long)

Rem: Step 2
Public Declare Function BiGetMicrText Lib "EpsStmApiWrapper.dll" (ByVal Handle As Long, ByVal TransactionNumber As Long, ByRef mfMicr As MF_MICR) As Integer
Public Declare Function BiSCNSelectScanFace Lib "EpsStmApiWrapper.dll" (ByVal Handle As Long, ByVal bFace As Byte) As Integer
Public Declare Function BiSCNSetImageFormat Lib "EpsStmApiWrapper.dll" (ByVal Handle As Long, ByVal bFormat As Byte) As Integer
Public Declare Function BiGetScanImage Lib "EpsStmApiWrapper.dll" (ByVal Handle As Long, ByVal TransactionNumber As Long, ByRef mfScan As MF_SCAN) As Integer
Public Declare Function BiGetTransactionNumber Lib "EpsStmApiWrapper.dll" (ByVal Handle As Long, ByRef TransactionNumber As Long) As Integer
Public Declare Function GlobalFree Lib "kernel32" (ByVal hMem As Long) As Long
Public Declare Function GetTickCount Lib "kernel32" () As Long
Public Declare Sub memcpy Lib "kernel32" Alias "RtlMoveMemory" (pDest As Any, pSrc As Any, ByVal iSize&)
Public Declare Function CreateDIBitmap Lib "gdi32" (ByVal hdc As Long, lpInfoHeader As BITMAPINFOHEADER, ByVal dwUsage As Long, ByVal lpInitBits As Long, lpInitInfo As BITMAPINFO, ByVal wUsage As Long) As Long
Public Declare Function GetDC Lib "user32" (ByVal hwnd As Long) As Long
Public Declare Function lstrcpyn Lib "kernel32" Alias "lstrcpynA" (ByVal lpString1 As Any, ByVal lpString2 As Any, ByVal iMaxLength As Long) As Long
Public Declare Function ReleaseDC Lib "user32" (ByVal hwnd As Long, ByVal hdc As Long) As Long
Public Declare Function SelectObject Lib "gdi32" (ByVal hdc As Long, ByVal hObject As Long) As Long
Public Declare Function DeleteObject Lib "gdi32" (ByVal hObject As Long) As Long
Public Declare Function GetObject Lib "gdi32" Alias "GetObjectA" (ByVal hObject As Long, ByVal nCount As Long, lpObject As Any) As Long
Public Declare Function SetStretchBltMode Lib "gdi32" (ByVal hdc As Long, ByVal nStretchMode As Long) As Long
Public Declare Function StretchBlt Lib "gdi32" (ByVal hdc As Long, ByVal x As Long, ByVal y As Long, ByVal nWidth As Long, ByVal nHeight As Long, ByVal hSrcDC As Long, ByVal xSrc As Long, ByVal ySrc As Long, ByVal nSrcWidth As Long, ByVal nSrcHeight As Long, ByVal dwRop As Long) As Long
Public Declare Function CreateCompatibleDC Lib "gdi32" (ByVal hdc As Long) As Long
Public Declare Function GetClientRect Lib "user32" (ByVal hwnd As Long, lpRect As RECT) As Long
Public Declare Function DeleteDC Lib "gdi32" (ByVal hdc As Long) As Long
Public Declare Function ReadProcessMemory Lib "kernel32" (ByVal hProcess As Long, lpBaseAddress As Any, lpBuffer As Any, ByVal nSize As Long, lpNumberOfBytesWritten As Long) As Long
Public Declare Function GetWindowThreadProcessId Lib "user32" (ByVal hwnd As Long, lpdwProcessId As Long) As Long
Public Declare Function OpenProcess Lib "kernel32" (ByVal dwDesiredAccess As Long, ByVal bInheritHandle As Long, ByVal dwProcessId As Long) As Long

Public Const CBM_INIT = &H4           '  initialize bitmap
Public Const DIB_RGB_COLORS = 0 '  color table in RGBs
Public Const COLORONCOLOR = 3
Public Const SRCCOPY = &HCC0020 ' (DWORD) dest = source

Public Type BITMAPINFOHEADER '40 bytes
        biSize As Long
        biWidth As Long
        biHeight As Long
        biPlanes As Integer
        biBitCount As Integer
        biCompression As Long
        biSizeImage As Long
        biXPelsPerMeter As Long
        biYPelsPerMeter As Long
        biClrUsed As Long
        biClrImportant As Long
End Type
Public Type RGBQUAD
        rgbBlue As Byte
        rgbGreen As Byte
        rgbRed As Byte
        rgbReserved As Byte
End Type
Public Type BITMAPINFO
        bmiHeader As BITMAPINFOHEADER
        bmiColors(1 To 2) As RGBQUAD
End Type
Public Type BITMAPFILEHEADER
        bfType(1 To 2) As Byte
        bfSize(1 To 4) As Byte
        bfReserved1(1 To 2) As Byte
        bfReserved2(1 To 2) As Byte
        bfOffBits(1 To 4) As Byte
End Type
Public Type BITMAP '14 bytes
        bmType As Long
        bmWidth As Long
        bmHeight As Long
        bmWidthBytes As Long
        bmPlanes As Integer
        bmBitsPixel As Integer
        bmBits As Long
End Type
Public Type RECT
        Left As Long
        Top As Long
        Right As Long
        Bottom As Long
End Type

Rem: Step 3
Public Declare Function BiSCNMICRFunctionContinuously Lib "EpsStmApiWrapper.dll" (ByVal Handle As Long, ByVal Struct As Object, ByVal wFunction As Integer) As Integer
Public Declare Function BiSetPrintPosition Lib "EpsStmApiWrapper.dll" (ByVal Handle As Long, ByVal wHorizontal As Integer, ByVal wVertical As Integer) As Integer
Public Declare Function BiSetPrintSize Lib "EpsStmApiWrapper.dll" (ByVal Handle As Long, ByVal wWidth As Integer, ByVal wHeight As Integer) As Integer
Public Declare Function BiPrintImage Lib "EpsStmApiWrapper.dll" (ByVal Handle As Long, ByVal pFileName As String) As Integer
Public Declare Function BiBufferedPrint Lib "EpsStmApiWrapper.dll" (ByVal Handle As Long, ByVal dwFunction As Long) As Integer
Public Declare Function BiSetPrintStation Lib "EpsStmApiWrapper.dll" (ByVal Handle As Long, ByVal wFunction As Integer) As Long
' BiPrintText calls it through BiPrintTextToVB of VBWrapper
Public Declare Function BiPrintTextToVB Lib "VBWrapper.dll" (ByVal Handle As Long, ByVal szText As String, ByRef ptDecorate As MF_DECORATE) As Integer

Public Const SCAN_FUNC = "ScanFunction"
Public Const ELE_ENDORSE_TEXT = "Electronic Endorse Text"
Public Const ELE_ENDORSE_IMAGE = "Electronic Endorse Image"

