VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "PropertiseClass"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit

Private Type value
    strName As String
    iValue As Integer
End Type

Private m_arrValues() As value

Private Sub Class_Initialize()
    ReDim m_arrValues(1)
    Call SetValue(SCAN_FUNC, 0)
    Call SetValue(FRONT_SCAN, 1)
    Call SetValue(FRONT_GRAYSCALE, 0)
    Call SetValue(FRONT_DISPLAY, 1)
    Call SetValue(FRONT_SAVE, 0)
    Call SetValue(BACK_SCAN, 1)
    Call SetValue(BACK_GRAYSCALE, 0)
    Call SetValue(BACK_DISPLAY, 1)
    Call SetValue(BACK_SAVE, 0)
    
    Call SetValue(MICR, 1)
    Call SetValue(MICR_FONT, 0)
    Call SetValue(MICR_SAVE, 0)
    Call SetValue(MICR_SAVE_ENABLE, 1)
    
    Call SetValue(ELE_ENDORSE_TEXT, 0)
    Call SetValue(ELE_ENDORSE_IMAGE, 0)
    
    Call SetValue(CONFIRMATION, 0)
    Call SetValue(RUN_SCN_TO_RESULT, 0)
    Call SetValue(NO_CALL_SCN_TO_RESULT, 0)
    
    Call SetValue(CONFIRMATION_EJECT, 0)
    Call SetValue(CONFIRMATION_STAMP, 0)
    Call SetValue(CONFIRMATION_NEXT, 0)
    Call SetValue(CONFIRMATION_OK, 0)
    
    Call SetValue(PAPER_MIS_INSERT_DETECT, 1)
    Call SetValue(PAPER_MIS_INSERT_EJECT_TYPE, 0)
    Call SetValue(PAPER_MIS_INSERT_STAMP, 0)
    Call SetValue(PAPER_MIS_INSERT_CANCEL, 0)
    
    Call SetValue(NOISE_DETECT, 1)
    Call SetValue(NOISE_EJECT_TYPE, 0)
    Call SetValue(NOISE_STAMP, 0)
    Call SetValue(NOISE_CANCEL, 1)
    
    Call SetValue(DOUBLE_DETECT, 1)
    Call SetValue(DOUBLE_EJECT_TYPE, 0)
    Call SetValue(DOUBLE_STAMP, 0)
    Call SetValue(DOUBLE_CANCEL, 0)
    
    Call SetValue(BADDATA_COUNT, 255)
    Call SetValue(BADDATA_DETECT, 1)
    Call SetValue(BADDATA_EJECT_TYPE, 0)
    Call SetValue(BADDATA_STAMP, 0)
    Call SetValue(BADDATA_CANCEL, 0)
    
    Call SetValue(NODATA_DETECT, 1)
    Call SetValue(NODATA_EJECT_TYPE, 0)
    Call SetValue(NODATA_STAMP, 0)
    Call SetValue(NODATA_CANCEL, 0)
End Sub

Public Sub SetValues(ByVal Prop As PropertiseClass)
    m_arrValues = Prop
End Sub

Public Sub SetValue(ByVal strName As String, ByVal iValue As Integer)
    Dim iCount As Integer
    iCount = 1
    Do While (iCount < UBound(m_arrValues) + 1)
        If (StrComp(m_arrValues(iCount).strName, strName) = 0) Then
            ' If name agrees I renew the value
            m_arrValues(iCount).iValue = iValue
            Exit Sub
        End If
        iCount = iCount + 1
    Loop
    
    ' It adds it with the value, if name is not discovered
    ReDim Preserve m_arrValues(iCount)
    m_arrValues(iCount).strName = strName
    m_arrValues(iCount).iValue = iValue
End Sub

Public Property Get GetValue(ByVal strName As String) As Integer
    Dim iCount As Integer
    iCount = 1
    Do While (iCount < UBound(m_arrValues) + 1)
        If (StrComp(m_arrValues(iCount).strName, strName) = 0) Then
            ' If name agrees return the value
            GetValue = m_arrValues(iCount).iValue
            Exit Property
        End If
        iCount = iCount + 1
    Loop
    
    ' If no name agrees return the 0
    GetValue = 0
End Property
