Attribute VB_Name = "FunctionModule"
Option Explicit

Rem: Function
Rem: Step 1
Public Declare Function BiESCNEnable Lib "EpsStmApiWrapper.dll" (ByVal bStoreType As Byte) As Long
Public Declare Function BiOpenMonPrinter Lib "EpsStmApiWrapper.dll" (ByVal nType As Integer, ByVal pName As String) As Long
Public Declare Function BiSCNMICRSetStatusBackWnd Lib "EpsStmApiWrapper.dll" (ByVal Handle As Long, ByVal hwnd As Long, ByRef TransactionNumber As Long, ByRef MainStatus As Integer, ByRef SubStatus As Integer) As Long
Public Declare Function BiSCNMICRFunctionPostPrint Lib "EpsStmApiWrapper.dll" (ByVal Handle As Long, ByVal Struct As Object, ByVal bFunction As Integer) As Long
Public Declare Function BiSCNMICRCancelStatusBack Lib "EpsStmApiWrapper.dll" (ByVal Handle As Long) As Long
Public Declare Function BiSCNMICRCancelFunction Lib "EpsStmApiWrapper.dll" (ByVal Handle As Long, ByVal EjectType As Integer) As Long
Public Declare Function BiCloseMonPrinter Lib "EpsStmApiWrapper.dll" (ByVal Handle As Long) As Long
Public Declare Sub CopyMemory Lib "kernel32" Alias "RtlMoveMemory" (Destination As Any, Source As Any, ByVal Length As Long)

Rem: Step 2
Public Declare Function BiGetMicrText Lib "EpsStmApiWrapper.dll" (ByVal Handle As Long, ByVal TransactionNumber As Long, ByRef mfMicr As MF_MICR) As Long
Public Declare Function BiSCNSelectScanFace Lib "EpsStmApiWrapper.dll" (ByVal Handle As Long, ByVal bFace As Byte) As Long
Public Declare Function BiSCNSetImageFormat Lib "EpsStmApiWrapper.dll" (ByVal Handle As Long, ByVal bFormat As Byte) As Long
Public Declare Function BiGetScanImage Lib "EpsStmApiWrapper.dll" (ByVal Handle As Long, ByVal TransactionNumber As Long, ByRef mfScan As MF_SCAN) As Long
Public Declare Function BiGetTransactionNumber Lib "EpsStmApiWrapper.dll" (ByVal Handle As Long, ByRef TransactionNumber As Long) As Long
Public Declare Function GlobalFree Lib "kernel32" (ByVal hMem As Long) As Long
Public Declare Function GetTickCount Lib "kernel32" () As Long
Public Declare Sub memcpy Lib "kernel32" Alias "RtlMoveMemory" (pDest As Any, pSrc As Any, ByVal iSize&)
Public Declare Function CreateDIBitmap Lib "gdi32" (ByVal hdc As Long, lpInfoHeader As BITMAPINFOHEADER, ByVal dwUsage As Long, ByVal lpInitBits As Long, lpInitInfo As BITMAPINFO, ByVal wUsage As Long) As Long
Public Declare Function GetDC Lib "user32" (ByVal hwnd As Long) As Long
Public Declare Function lstrcpyn Lib "kernel32" Alias "lstrcpynA" (ByVal lpString1 As Any, ByVal lpString2 As Any, ByVal iMaxLength As Long) As Long
Public Declare Function ReleaseDC Lib "user32" (ByVal hwnd As Long, ByVal hdc As Long) As Long
Public Declare Function SelectObject Lib "gdi32" (ByVal hdc As Long, ByVal hObject As Long) As Long
Public Declare Function DeleteObject Lib "gdi32" (ByVal hObject As Long) As Long
Public Declare Function GetObject Lib "gdi32" Alias "GetObjectA" (ByVal hObject As Long, ByVal nCount As Long, lpObject As Any) As Long
Public Declare Function SetStretchBltMode Lib "gdi32" (ByVal hdc As Long, ByVal nStretchMode As Long) As Long
Public Declare Function StretchBlt Lib "gdi32" (ByVal hdc As Long, ByVal X As Long, ByVal Y As Long, ByVal nWidth As Long, ByVal nHeight As Long, ByVal hSrcDC As Long, ByVal xSrc As Long, ByVal ySrc As Long, ByVal nSrcWidth As Long, ByVal nSrcHeight As Long, ByVal dwRop As Long) As Long
Public Declare Function CreateCompatibleDC Lib "gdi32" (ByVal hdc As Long) As Long
Public Declare Function GetClientRect Lib "user32" (ByVal hwnd As Long, lpRect As RECT) As Long
Public Declare Function DeleteDC Lib "gdi32" (ByVal hdc As Long) As Long
Public Declare Function ReadProcessMemory Lib "kernel32" (ByVal hProcess As Long, lpBaseAddress As Any, lpBuffer As Any, ByVal nSize As Long, lpNumberOfBytesWritten As Long) As Long
Public Declare Function GetWindowThreadProcessId Lib "user32" (ByVal hwnd As Long, lpdwProcessId As Long) As Long
Public Declare Function OpenProcess Lib "kernel32" (ByVal dwDesiredAccess As Long, ByVal bInheritHandle As Long, ByVal dwProcessId As Long) As Long

Public Const CBM_INIT = &H4           '  initialize bitmap
Public Const DIB_RGB_COLORS = 0 '  color table in RGBs
Public Const COLORONCOLOR = 3
Public Const SRCCOPY = &HCC0020 ' (DWORD) dest = source

Public Type BITMAPINFOHEADER '40 bytes
        biSize As Long
        biWidth As Long
        biHeight As Long
        biPlanes As Integer
        biBitCount As Integer
        biCompression As Long
        biSizeImage As Long
        biXPelsPerMeter As Long
        biYPelsPerMeter As Long
        biClrUsed As Long
        biClrImportant As Long
End Type
Public Type RGBQUAD
        rgbBlue As Byte
        rgbGreen As Byte
        rgbRed As Byte
        rgbReserved As Byte
End Type
Public Type BITMAPINFO
        bmiHeader As BITMAPINFOHEADER
        bmiColors(1 To 2) As RGBQUAD
End Type
Public Type BITMAPFILEHEADER
        bfType(1 To 2) As Byte
        bfSize(1 To 4) As Byte
        bfReserved1(1 To 2) As Byte
        bfReserved2(1 To 2) As Byte
        bfOffBits(1 To 4) As Byte
End Type
Public Type BITMAP '14 bytes
        bmType As Long
        bmWidth As Long
        bmHeight As Long
        bmWidthBytes As Long
        bmPlanes As Integer
        bmBitsPixel As Integer
        bmBits As Long
End Type
Public Type RECT
        Left As Long
        Top As Long
        Right As Long
        Bottom As Long
End Type

Rem: Step 3
Public Declare Function BiSCNMICRFunctionContinuously Lib "EpsStmApiWrapper.dll" (ByVal Handle As Long, ByVal Struct As Object, ByVal wFunction As Integer) As Long
Public Declare Function BiSetPrintPosition Lib "EpsStmApiWrapper.dll" (ByVal Handle As Long, ByVal wHorizontal As Integer, ByVal wVertical As Integer) As Long
Public Declare Function BiSetPrintSize Lib "EpsStmApiWrapper.dll" (ByVal Handle As Long, ByVal wWidth As Integer, ByVal wHeight As Integer) As Long
Public Declare Function BiPrintImage Lib "EpsStmApiWrapper.dll" (ByVal Handle As Long, ByVal pFileName As String) As Long
Public Declare Function BiBufferedPrint Lib "EpsStmApiWrapper.dll" (ByVal Handle As Long, ByVal dwFunction As Long) As Long
Public Declare Function BiSetPrintStation Lib "EpsStmApiWrapper.dll" (ByVal Handle As Long, ByVal wFunction As Integer) As Long
' BiPrintText calls it through BiPrintTextToVB of VBWrapper
Public Declare Function BiPrintTextToVB Lib "VBWrapper.dll" (ByVal Handle As Long, ByVal szText As String, ByRef ptDecorate As MF_DECORATE) As Long

Public Const SCAN_FUNC = "ScanFunction"
Public Const ELE_ENDORSE_TEXT = "Electronic Endorse Text"
Public Const ELE_ENDORSE_IMAGE = "Electronic Endorse Image"

Rem: Step 4
Public Declare Function BiMICRSelectDataHandling Lib "EpsStmApiWrapper.dll" (ByVal Handle As Long, ByVal charSelect As Byte, ByVal detailSelect As Byte, ByVal errorSelect As Byte) As Long
Public Declare Function BiSetBehaviorToScnResult Lib "EpsStmApiWrapper.dll" (ByVal Handle As Long, ByVal bEject As Byte, ByVal bStamp As Byte, ByVal bNextCheck As Byte) As Long

Public Const CONFIRMATION = "Confirmation Mode"
Public Const RUN_SCN_TO_RESULT = "Run ScnToResult"
Public Const NO_CALL_SCN_TO_RESULT = "No call ScnToResult"
Public Const SETTING_VALUES = "Setting Values"
Public Const CONFIRMATION_EJECT = "Confirmation EjectType"
Public Const CONFIRMATION_STAMP = "Confirmation Stamp"
Public Const CONFIRMATION_NEXT = "Confirmation NextCheck"
Public Const CONFIRMATION_OK = "Confirmation OK"
Public Const PAPER_MIS_INSERT_DETECT = "PaperMisInsert Detect"
Public Const PAPER_MIS_INSERT_EJECT_TYPE = "PaperMisInsert EjectType"
Public Const PAPER_MIS_INSERT_STAMP = "PaperMisInsert Stamp"
Public Const PAPER_MIS_INSERT_CANCEL = "PaperMisInsert Cancel"
Public Const NOISE_DETECT = "Noise Detect"
Public Const NOISE_EJECT_TYPE = "Noise EjectType"
Public Const NOISE_STAMP = "Noise Stamp"
Public Const NOISE_CANCEL = "Noise Cancel"
Public Const DOUBLE_DETECT = "Dobule Detect"
Public Const DOUBLE_EJECT_TYPE = "Double EjectType"
Public Const DOUBLE_STAMP = "Double Stamp"
Public Const DOUBLE_CANCEL = "Double Cancel"
Public Const BADDATA_COUNT = "Baddata Count"
Public Const BADDATA_DETECT = "Baddata Detect"
Public Const BADDATA_EJECT_TYPE = "Baddata EjectType"
Public Const BADDATA_STAMP = "Baddata Stamp"
Public Const BADDATA_CANCEL = "Baddata Cancel"
Public Const NODATA_DETECT = "Nodata Detect"
Public Const NODATA_EJECT_TYPE = "Nodata EjectType"
Public Const NODATA_STAMP = "Nodata Stamp"
Public Const NODATA_CANCEL = "Nodata Cancel"

Rem: Step 5
Public Declare Function BiSCNSetImageQuality Lib "EpsStmApiWrapper.dll" (ByVal Handle As Long, ByVal bColorDepth As Byte, ByVal bThreshold As Byte, ByVal bColor As Byte, ByVal ByvalbExOption As Byte) As Long

Public Const FRONT_SCAN = "Front Scan"
Public Const FRONT_GRAYSCALE = "Front Grayscale"
Public Const FRONT_DISPLAY = "Front Display"
Public Const FRONT_SAVE = "Front Save"
Public Const BACK_SCAN = "Back Scan"
Public Const BACK_GRAYSCALE = "Back Grayscale"
Public Const BACK_DISPLAY = "Back Display"
Public Const BACK_SAVE = "Back Save"
Public Const MICR = "MICR"
Public Const MICR_FONT = "Micr Font"
Public Const MICR_SAVE = "Micr Save"
Public Const MICR_SAVE_ENABLE = "Micr Save Enable"

Public Type BITMAPINFO_256
        bmiHeader As BITMAPINFOHEADER
        bmiColors(1 To 256) As RGBQUAD
End Type

Rem: Step 6
Public Declare Function BiGetOcrABText Lib "EpsStmApiWrapper.dll" (ByVal Handle As Long, ByVal dwTransactionNumber As Long, ByVal bImageSource As Byte, ByVal szFileName As String, ByRef ptOcrAB As MF_OCR_AB) As Long
Public Declare Function BiRingBuzzer Lib "EpsStmApiWrapper.dll" (ByVal Handle As Long, ByVal bTone As Byte, ByVal bCount As Byte, ByVal wOnTime As Integer, ByVal wOffTime As Integer) As Long

Public Const OCR_AB = "Ocr Ab"
Public Const OCR_AB_FONT = "Ocr Ab Font"
Public Const BUZZER_SUCCESS_HZ = "Buzzer Success Hz"
Public Const BUZZER_SUCCESS_COUNT = "Buzzer Success Count"
Public Const BUZZER_ERROR_HZ = "Buzzer Error Hz"
Public Const BUZZER_ERROR_COUNT = "Buzzer Error Count"
Public Const BUZZER_WFEED_HZ = "Buzzer WFeed Hz"
Public Const BUZZER_WFEED_COUNT = "Buzzer WFeed Count"

Public Const OCR_AB_START_X = 30
Public Const OCR_AB_START_Y = 56
Public Const OCR_AB_END_X = 110
Public Const OCR_AB_END_Y = 70

Rem:Step 7
Public Declare Function BiSetStatusBackWnd Lib "EpsStmApiWrapper.dll" (ByVal Handle As Long, ByVal hwnd As Long, ByRef Status As Long) As Long
Public Declare Function BiCancelError Lib "EpsStmApiWrapper.dll" (ByVal Handle As Long) As Long
Public Declare Function BiGetStatus Lib "EpsStmApiWrapper.dll" (ByVal Handle As Long, ByRef lpStatus As Long) As Long
Public Declare Function BiMICRCleaning Lib "EpsStmApiWrapper.dll" (ByVal Handle As Long) As Long
Public Declare Function MessageBox Lib "user32" Alias "MessageBoxA" (ByVal hwnd As Long, ByVal lpText As String, ByVal lpCaption As String, ByVal wType As Long) As Long
Public Declare Function BiCancelStatusBack Lib "EpsStmApiWrapper.dll" (ByVal Handle As Long) As Long

Public Const NEAR_FULL = "Near Full"
Public Const SUCCESS_STAMP = "Success Stamp"
