// ImageDlg.cpp : implementation file
//

#include "stdafx.h"
#include "TM-S1000Sample.h"
#include "ImageDlg.h"
#include ".\imagedlg.h"
#include "ConfigureDlg.h"


// CImageDlg Dialog

IMPLEMENT_DYNAMIC(CImageDlg, CDialog)
CImageDlg::CImageDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CImageDlg::IDD, pParent)
{
}

CImageDlg::~CImageDlg()
{
}

void CImageDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
}


BEGIN_MESSAGE_MAP(CImageDlg, CDialog)
	ON_CBN_SELCHANGE(IDC_COMBO_SCAN_FUNC, OnCbnSelchangeComboScanFunc)
END_MESSAGE_MAP()


// CImageDlg message handlers

BOOL CImageDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	((CComboBox*)GetDlgItem(IDC_COMBO_SCAN_FUNC))->SetCurSel(theApp.m_Properties.GetValue(SCAN_FUNC));

	return TRUE;
}

// This method is called when the user changed the ScanFunction combobox
void CImageDlg::OnCbnSelchangeComboScanFunc()
{
	UpdateData(TRUE);

	m_Properties.SetValue(SCAN_FUNC, ((CComboBox*)GetDlgItem(IDC_COMBO_SCAN_FUNC))->GetCurSel());

	m_pConfigure->SetEnableApply();
}

// This method is called when the user clicks the Apply button
void CImageDlg::Apply()
{
	theApp.m_Properties.SetProperty(&m_Properties);
}
