#pragma once

#define SCAN_FUNC _T("ScanFunction")
#define ELEC_ENDORSE_TEXT _T("ElectronicEndorse Text")
#define ELEC_ENDORSE_IMAGE _T("ElectronicEndorse Image")

struct PropertyList{
	LPCTSTR					strProperty;	// Property key
	int						iValue;			// Property value
	struct PropertyList*	pNext;			// Next property
};

class CProperties
{
public:
	CProperties(void);
	~CProperties(void);

	// Set property value
	BOOL SetValue(LPCTSTR strProperty, int iValue);
	// Get property value
	int GetValue(LPCTSTR strProperty);
	// Renewal property
	void SetProperty(CProperties* pProperties);

private:
	struct PropertyList* m_pProperty;
};
