#pragma once
#include "Properties.h"

// CImageDlg Dialog

class CImageDlg : public CDialog
{
	DECLARE_DYNAMIC(CImageDlg)

public:
	CImageDlg(CWnd* pParent = NULL);   // standard constructor
	virtual ~CImageDlg();

	class CConfigureDlg* m_pConfigure;

	void Apply();

// Dialog Data
	enum { IDD = IDD_IMAGE_DIALOG };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	BOOL OnInitDialog();
	DECLARE_MESSAGE_MAP()

	CProperties m_Properties;

	void SetFrontEnable(BOOL bEnable);
	void SetBackEnable(BOOL bEnable);

public:
	afx_msg void OnCbnSelchangeComboScanFunc();
	afx_msg void OnBnClickedCheckFrontScan();
	afx_msg void OnBnClickedCheckFrontGrayscale();
	afx_msg void OnBnClickedCheckFrontDisplay();
	afx_msg void OnBnClickedCheckFrontSave();
	afx_msg void OnBnClickedCheckBackScan();
	afx_msg void OnBnClickedCheckBackGrayscale();
	afx_msg void OnBnClickedCheckBackDisplay();
	afx_msg void OnBnClickedCheckBackSave();
};
