// NodataDlg.cpp : implementation file
//

#include "stdafx.h"
#include "TM-S1000Sample.h"
#include "NodataDlg.h"
#include "ConfigureDlg.h"
#include ".\nodatadlg.h"


// CNodataDlg Dialog

IMPLEMENT_DYNAMIC(CNodataDlg, CDialog)
CNodataDlg::CNodataDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CNodataDlg::IDD, pParent)
{
}

CNodataDlg::~CNodataDlg()
{
}

void CNodataDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
}


BEGIN_MESSAGE_MAP(CNodataDlg, CDialog)
	ON_BN_CLICKED(IDC_CHECK_DETECT, OnBnClickedCheckDetect)
	ON_CBN_SELCHANGE(IDC_COMBO_EJECT, OnCbnSelchangeComboEject)
	ON_BN_CLICKED(IDC_CHECK_STAMP, OnBnClickedCheckStamp)
	ON_BN_CLICKED(IDC_CHECK_CANCEL, OnBnClickedCheckCancel)
END_MESSAGE_MAP()


// CNodataDlg message handlers
BOOL CNodataDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	((CButton*)GetDlgItem(IDC_CHECK_DETECT))->SetCheck(
		theApp.m_Properties.GetValueDefTrue(NODATA_DETECT));

	((CComboBox*)GetDlgItem(IDC_COMBO_EJECT))->SetCurSel(
		theApp.m_Properties.GetValueDefFalse(NODATA_EJECT));

	((CButton*)GetDlgItem(IDC_CHECK_STAMP))->SetCheck(
		theApp.m_Properties.GetValueDefFalse(NODATA_STAMP));

	((CButton*)GetDlgItem(IDC_CHECK_CANCEL))->SetCheck(
		theApp.m_Properties.GetValueDefFalse(NODATA_CANCEL));

	SetEnableItem(theApp.m_Properties.GetValueDefTrue(NODATA_DETECT));

	return TRUE;
}

void CNodataDlg::Apply()
{
	theApp.m_Properties.SetProperty(&m_Properties);
}

void CNodataDlg::SetEnableItem(BOOL bCheck)
{
	((CComboBox*)GetDlgItem(IDC_COMBO_EJECT))->EnableWindow(bCheck);
	((CButton*)GetDlgItem(IDC_CHECK_STAMP))->EnableWindow(bCheck);
	((CButton*)GetDlgItem(IDC_CHECK_CANCEL))->EnableWindow(bCheck);
}

void CNodataDlg::OnBnClickedCheckDetect()
{
	UpdateData(TRUE);

	int iCheck = ((CButton*)GetDlgItem(IDC_CHECK_DETECT))->GetCheck();

	m_Properties.SetValue(NODATA_DETECT, iCheck);

	m_pConfigure->SetEnableApply();

	SetEnableItem(iCheck);
}

void CNodataDlg::OnCbnSelchangeComboEject()
{
	UpdateData(TRUE);

	m_Properties.SetValue(NODATA_EJECT, ((CComboBox*)GetDlgItem(IDC_COMBO_EJECT))->GetCurSel());

	m_pConfigure->SetEnableApply();
}

void CNodataDlg::OnBnClickedCheckStamp()
{
	UpdateData(TRUE);

	int iCheck = ((CButton*)GetDlgItem(IDC_CHECK_STAMP))->GetCheck();

	m_Properties.SetValue(NODATA_STAMP, iCheck);

	m_pConfigure->SetEnableApply();
}

void CNodataDlg::OnBnClickedCheckCancel()
{
	UpdateData(TRUE);

	int iCheck = ((CButton*)GetDlgItem(IDC_CHECK_CANCEL))->GetCheck();

	m_Properties.SetValue(NODATA_CANCEL, iCheck);

	m_pConfigure->SetEnableApply();
}
