// BeepDlg.cpp : implementation file
//

#include "stdafx.h"
#include "TM-S1000Sample.h"
#include "BeepDlg.h"
#include "ConfigureDlg.h"
#include ".\beepdlg.h"


// CBeepDlg Dialog

IMPLEMENT_DYNAMIC(CBeepDlg, CDialog)
CBeepDlg::CBeepDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CBeepDlg::IDD, pParent)
{
}

CBeepDlg::~CBeepDlg()
{
}

void CBeepDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
}


BEGIN_MESSAGE_MAP(CBeepDlg, CDialog)
	ON_CBN_SELCHANGE(IDC_COMBO_HZ_1, OnCbnSelchangeComboHz1)
	ON_CBN_SELCHANGE(IDC_COMBO_COUNT_1, OnCbnSelchangeComboCount1)
	ON_CBN_SELCHANGE(IDC_COMBO_HZ_2, OnCbnSelchangeComboHz2)
	ON_CBN_SELCHANGE(IDC_COMBO_COUNT_2, OnCbnSelchangeComboCount2)
	ON_CBN_SELCHANGE(IDC_COMBO_HZ_3, OnCbnSelchangeComboHz3)
	ON_CBN_SELCHANGE(IDC_COMBO_COUNT_3, OnCbnSelchangeComboCount3)
END_MESSAGE_MAP()


// CBeepDlg message handlers

BOOL CBeepDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	((CComboBox*)GetDlgItem(IDC_COMBO_HZ_1))->SetCurSel(theApp.m_Properties.GetValueDefFalse(BEEP_SUCCESS_HZ));
	((CComboBox*)GetDlgItem(IDC_COMBO_COUNT_1))->SetCurSel(theApp.m_Properties.GetValueDefFalse(BEEP_SUCCESS_COUNT));
	((CComboBox*)GetDlgItem(IDC_COMBO_HZ_2))->SetCurSel(theApp.m_Properties.GetValueDefFalse(BEEP_ERROR_HZ));
	((CComboBox*)GetDlgItem(IDC_COMBO_COUNT_2))->SetCurSel(theApp.m_Properties.GetValueDefFalse(BEEP_ERROR_COUNT));
	((CComboBox*)GetDlgItem(IDC_COMBO_HZ_3))->SetCurSel(theApp.m_Properties.GetValueDefFalse(BEEP_WFEED_HZ));
	((CComboBox*)GetDlgItem(IDC_COMBO_COUNT_3))->SetCurSel(theApp.m_Properties.GetValueDefFalse(BEEP_WFEED_COUNT));

	return TRUE;
}

// This method is called when the user clicks the Apply button
void CBeepDlg::Apply()
{
	theApp.m_Properties.SetProperty(&m_Properties);
}

// This method is called when the user changed the SuccessHz combobx
void CBeepDlg::OnCbnSelchangeComboHz1()
{
	m_Properties.SetValue(BEEP_SUCCESS_HZ, ((CComboBox*)GetDlgItem(IDC_COMBO_HZ_1))->GetCurSel());

	m_pConfigure->SetEnableApply();
}

// This method is called when the user changed the SuccessCount combobx
void CBeepDlg::OnCbnSelchangeComboCount1()
{
	m_Properties.SetValue(BEEP_SUCCESS_COUNT, ((CComboBox*)GetDlgItem(IDC_COMBO_COUNT_1))->GetCurSel());

	m_pConfigure->SetEnableApply();
}

// This method is called when the user changed the ErrorHz combobx
void CBeepDlg::OnCbnSelchangeComboHz2()
{
	m_Properties.SetValue(BEEP_ERROR_HZ, ((CComboBox*)GetDlgItem(IDC_COMBO_HZ_2))->GetCurSel());

	m_pConfigure->SetEnableApply();
}

// This method is called when the user changed the ErrorCount combobx
void CBeepDlg::OnCbnSelchangeComboCount2()
{
	m_Properties.SetValue(BEEP_ERROR_COUNT, ((CComboBox*)GetDlgItem(IDC_COMBO_COUNT_2))->GetCurSel());

	m_pConfigure->SetEnableApply();
}

// This method is called when the user changed the WFeedHz combobx
void CBeepDlg::OnCbnSelchangeComboHz3()
{
	m_Properties.SetValue(BEEP_WFEED_HZ, ((CComboBox*)GetDlgItem(IDC_COMBO_HZ_3))->GetCurSel());

	m_pConfigure->SetEnableApply();
}

// This method is called when the user changed the WFeedCount combobx
void CBeepDlg::OnCbnSelchangeComboCount3()
{
	m_Properties.SetValue(BEEP_WFEED_COUNT, ((CComboBox*)GetDlgItem(IDC_COMBO_COUNT_3))->GetCurSel());

	m_pConfigure->SetEnableApply();
}
