// DeviceStatusDlg.cpp : implementation file
//

#include "stdafx.h"
#include "TM-S1000Sample.h"
#include "DeviceStatusDlg.h"
#include ".\devicestatusdlg.h"
#include "TM-S1000SampleDlg.h"


// CDeviceStatusDlg Dialog

IMPLEMENT_DYNAMIC(CDeviceStatusDlg, CDialog)
CDeviceStatusDlg::CDeviceStatusDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CDeviceStatusDlg::IDD, pParent)
{
}

CDeviceStatusDlg::~CDeviceStatusDlg()
{
}

void CDeviceStatusDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
}


BEGIN_MESSAGE_MAP(CDeviceStatusDlg, CDialog)
END_MESSAGE_MAP()


// CDeviceStatusDlg message handlers
BOOL CDeviceStatusDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	return TRUE;
}

// Change the values to bool
bool GetEnable(long Values)
{
	if(Values){
		return true;
	}else{
		return false;
	}
}

// Renewal the check box by the status
void CDeviceStatusDlg::SetDeviceStatus(DWORD dwStatus)
{
	// Display the status
	CString strStatus;
	strStatus.Format("Device Status - %08Xh", dwStatus);
	::SetWindowText(this->m_hWnd, strStatus);

	// ASB_NO_RESPONSE
	if(dwStatus == ASB_NO_RESPONSE){
		// ASB_NO_RESPONSE
		((CButton*)GetDlgItem(IDC_CHECK_NO_RESPONSE))->SetCheck(TRUE);

		// ASB_OFF_LINE
		((CButton*)GetDlgItem(IDC_CHECK_OFF_LINE))->SetCheck(FALSE);

		// ASB_COVER_OPEN
		((CButton*)GetDlgItem(IDC_CHECK_COVER_OPEN))->SetCheck(FALSE);

		// ASB_WAIT_PEPRT_EJECT
		((CButton*)GetDlgItem(IDC_CHECK_WAIT_PEPRT_EJECT))->SetCheck(FALSE);

		// ASB_MECHANICAL_ERR
		((CButton*)GetDlgItem(IDC_CHECK_MECHANICAL_ERR))->SetCheck(FALSE);

		// ASB_UNRECOVER_ERR
		((CButton*)GetDlgItem(IDC_CHECK_UNRECOVER_ERR))->SetCheck(FALSE);

		// ASB_PAPER_INTERMEDIATE
		((CButton*)GetDlgItem(IDC_CHECK_PAPER_INTERMEDIATE))->SetCheck(FALSE);

		// ASB_MAIN_NEAR_FULL
		((CButton*)GetDlgItem(IDC_CHECK_MAIN_NEAR_FULL))->SetCheck(FALSE);

		// ASB_EJECT_SENSOR_NO_PAPER
		((CButton*)GetDlgItem(IDC_CHECK_EJECT_SENSOR_NO_PAPER))->SetCheck(FALSE);

		// ASB_SUB_NEAR_FULL
		((CButton*)GetDlgItem(IDC_CHECK_SUB_NEAR_FULL))->SetCheck(FALSE);

		// ASB_SLIP_PAPER_SIZE
		((CButton*)GetDlgItem(IDC_CHECK_SLIP_PAPER_SIZE))->SetCheck(FALSE);

		// ASB_ASF_PAPER
		((CButton*)GetDlgItem(IDC_CHECK_ASF_PAPER))->SetCheck(FALSE);

		// ASB_STAMP_EXIST
		((CButton*)GetDlgItem(IDC_CHECK_STAMP_EXIST))->SetCheck(FALSE);

		// ASB_WAIT_INSERT
		((CButton*)GetDlgItem(IDC_CHECK_WAIT_INSERT))->SetCheck(FALSE);

		// ASB_FRANKING_SENSOR
		((CButton*)GetDlgItem(IDC_CHECK_FRANKING_SENSOR))->SetCheck(FALSE);
	}else{
		// Not ASB_NO_RESPONSE

		// ASB_NO_RESPONSE
		((CButton*)GetDlgItem(IDC_CHECK_NO_RESPONSE))->SetCheck(FALSE);

		// ASB_OFF_LINE
		((CButton*)GetDlgItem(IDC_CHECK_OFF_LINE))->SetCheck(GetEnable(dwStatus & ASB_OFF_LINE));

		// ASB_COVER_OPEN
		((CButton*)GetDlgItem(IDC_CHECK_COVER_OPEN))->SetCheck(GetEnable(dwStatus & ASB_COVER_OPEN));

		// ASB_WAIT_PEPRT_EJECT
		((CButton*)GetDlgItem(IDC_CHECK_WAIT_PEPRT_EJECT))->SetCheck(GetEnable(dwStatus & ASB_WAIT_PEPRT_EJECT));

		// ASB_MECHANICAL_ERR
		((CButton*)GetDlgItem(IDC_CHECK_MECHANICAL_ERR))->SetCheck(GetEnable(dwStatus & ASB_MECHANICAL_ERR));

		// ASB_UNRECOVER_ERR
		((CButton*)GetDlgItem(IDC_CHECK_UNRECOVER_ERR))->SetCheck(GetEnable(dwStatus & ASB_UNRECOVER_ERR));

		// ASB_PAPER_INTERMEDIATE
		((CButton*)GetDlgItem(IDC_CHECK_PAPER_INTERMEDIATE))->SetCheck(!GetEnable(dwStatus & ASB_PAPER_INTERMEDIATE));

		// ASB_MAIN_NEAR_FULL
		((CButton*)GetDlgItem(IDC_CHECK_MAIN_NEAR_FULL))->SetCheck(!GetEnable(dwStatus & ASB_MAIN_NEAR_FULL));

		// ASB_EJECT_SENSOR_NO_PAPER
		((CButton*)GetDlgItem(IDC_CHECK_EJECT_SENSOR_NO_PAPER))->SetCheck(!GetEnable(dwStatus & ASB_EJECT_SENSOR_NO_PAPER));

		// ASB_SUB_NEAR_FULL
		((CButton*)GetDlgItem(IDC_CHECK_SUB_NEAR_FULL))->SetCheck(!GetEnable(dwStatus & ASB_SUB_NEAR_FULL));

		// ASB_SLIP_PAPER_SIZE
		((CButton*)GetDlgItem(IDC_CHECK_SLIP_PAPER_SIZE))->SetCheck(!GetEnable(dwStatus & ASB_SLIP_PAPER_SIZE));

		// ASB_ASF_PAPER
		((CButton*)GetDlgItem(IDC_CHECK_ASF_PAPER))->SetCheck(!GetEnable(dwStatus & ASB_ASF_PAPER));

		// ASB_STAMP_EXIST
		((CButton*)GetDlgItem(IDC_CHECK_STAMP_EXIST))->SetCheck(GetEnable(dwStatus & ASB_STAMP_EXIST));

		// ASB_WAIT_INSERT
		((CButton*)GetDlgItem(IDC_CHECK_WAIT_INSERT))->SetCheck(GetEnable(dwStatus & ASB_WAIT_INSERT));

		// ASB_FRANKING_SENSOR
		((CButton*)GetDlgItem(IDC_CHECK_FRANKING_SENSOR))->SetCheck(!GetEnable(dwStatus & ASB_FRANKING_SENSOR));
	}
}
