// NearFullDlg.cpp :implementation file
//

#include "stdafx.h"
#include "TM-S1000Sample.h"
#include "NearFullDlg.h"
#include ".\nearfulldlg.h"
#include "ConfigureDlg.h"


// CNearFullDlg Dialog

IMPLEMENT_DYNAMIC(CNearFullDlg, CDialog)
CNearFullDlg::CNearFullDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CNearFullDlg::IDD, pParent)
{
}

CNearFullDlg::~CNearFullDlg()
{
}

void CNearFullDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
}


BEGIN_MESSAGE_MAP(CNearFullDlg, CDialog)
	ON_CBN_SELCHANGE(IDC_COMBO_NEAR_FULL, OnCbnSelchangeComboNearFull)
END_MESSAGE_MAP()


// CNearFullDlg message handlers
BOOL CNearFullDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	((CComboBox*)GetDlgItem(IDC_COMBO_NEAR_FULL))->SetCurSel(theApp.m_Properties.GetValueDefFalse(NEAR_FULL_FUN));

	return TRUE;
}

// This method is called when the user clicks the Apply button
void CNearFullDlg::Apply()
{
	theApp.m_Properties.SetProperty(&m_Properties);
}

void CNearFullDlg::OnCbnSelchangeComboNearFull()
{
	m_Properties.SetValue(NEAR_FULL_FUN, ((CComboBox*)GetDlgItem(IDC_COMBO_NEAR_FULL))->GetCurSel());

	m_pConfigure->SetEnableApply();
}
