// IqaResultDlg.cpp : implementation file
//

#include "stdafx.h"
#include "TM-S1000Sample.h"
#include "IqaResultDlg.h"


// CIqaResultDlg Dialog

IMPLEMENT_DYNAMIC(CIqaResultDlg, CDialog)
CIqaResultDlg::CIqaResultDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CIqaResultDlg::IDD, pParent)
{
}

CIqaResultDlg::~CIqaResultDlg()
{
}

void CIqaResultDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
}


BEGIN_MESSAGE_MAP(CIqaResultDlg, CDialog)
END_MESSAGE_MAP()


// CIqaResultDlg message handlers

void CIqaResultDlg::SetIqaResult(LPMF_IQA_RESULT lpResult)
{
	DisplayResult(lpResult->stUnderSize.bResult, IDC_UNDER_SIZE_EDIT);
	DisplayResult(lpResult->stOverSize.bResult, IDC_OVER_SIZE_EDIT);
	DisplayResult(lpResult->stMinCompressedImageSize.bResult, IDC_MIN_COMP_EDIT);
	DisplayResult(lpResult->stMaxCompressedImageSize.bResult, IDC_MAX_COMP_EDIT);
	DisplayResult(lpResult->stFrontRearImageMismatch.bResult, IDC_MISMATCH_EDIT);
	DisplayResult(lpResult->stImageTooLight.bResult, IDC_TOO_LIGHT_EDIT);
	DisplayResult(lpResult->stImageTooDark.bResult, IDC_TOO_DARK_EDIT);
	DisplayResult(lpResult->stHorizontalStreaksPresent.bResult, IDC_STREAKS_EDIT);
	DisplayResult(lpResult->stExcessiveSpotNoise.bResult, IDC_NOISE_EDIT);
	DisplayResult(lpResult->stImageOutOfFocus.bResult, IDC_FOCUS_EDIT);
	DisplayResult(lpResult->stFoldedTornDocCorners.bResult, IDC_CORNERS_EDIT);
	DisplayResult(lpResult->stFoldedTornDocEdges.bResult, IDC_EDGES_EDIT);
	DisplayResult(lpResult->stDocFramingError.bResult, IDC_FRAM_EDIT);
	DisplayResult(lpResult->stExcessiveDocSkew.bResult, IDC_SKEW_EDIT);
	DisplayResult(lpResult->stCarbonStripDetection.bResult, IDC_STRIP_EDIT);
	DisplayResult(lpResult->stPiggyBack.bResult, IDC_PIGGYBACK_EDIT);
}

void CIqaResultDlg::DisplayResult(BYTE bResult, int iControlID)
{
	switch(bResult)
	{
	case IQARESULT_NOT_TESTED:
		GetDlgItem(iControlID)->SetWindowText("Not Tested.");
		break;
	case IQARESULT_PASS:
		GetDlgItem(iControlID)->SetWindowText("Pass.");
		break;
	case IQARESULT_NOT_PASS:
		GetDlgItem(iControlID)->SetWindowText("Not Pass.");
		break;
	}
}
