VERSION 5.00
Begin VB.Form TMS1000SampleForm 
   BorderStyle     =   1  'Fixed (unbroken line)
   Caption         =   "TM-S1000SampleStep7"
   ClientHeight    =   7650
   ClientLeft      =   45
   ClientTop       =   435
   ClientWidth     =   6870
   Icon            =   "TMS1000SampleForm.frx":0000
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   7650
   ScaleWidth      =   6870
   Begin VB.CommandButton btnCancel 
      Caption         =   "Cancel"
      Height          =   375
      Left            =   3720
      TabIndex        =   2
      Top             =   6720
      Width           =   1335
   End
   Begin VB.CommandButton btnCleaning 
      Caption         =   "Cleaning"
      Height          =   375
      Left            =   1920
      TabIndex        =   5
      Top             =   7200
      Width           =   1215
   End
   Begin VB.CommandButton btnStopBuzzer 
      Caption         =   "Stop Buzzer"
      Height          =   375
      Left            =   120
      TabIndex        =   4
      Top             =   7200
      Width           =   1215
   End
   Begin VB.CommandButton btnDeviceStatus 
      Caption         =   "DeviceStatus"
      Height          =   375
      Left            =   3720
      TabIndex        =   6
      Top             =   7200
      Width           =   1335
   End
   Begin VB.CommandButton btnSetStatusBack 
      Caption         =   "SB"
      Height          =   255
      Left            =   6480
      TabIndex        =   14
      Top             =   7440
      Width           =   495
   End
   Begin VB.CommandButton btnConfigure 
      Caption         =   "Configure"
      Height          =   375
      Left            =   120
      TabIndex        =   0
      Top             =   6720
      Width           =   1215
   End
   Begin VB.PictureBox BackPicture 
      Height          =   2775
      Left            =   120
      ScaleHeight     =   2715
      ScaleWidth      =   6555
      TabIndex        =   13
      TabStop         =   0   'False
      Top             =   3840
      Width           =   6615
   End
   Begin VB.PictureBox FrontPicture 
      Height          =   2655
      Left            =   120
      ScaleHeight     =   2595
      ScaleWidth      =   6555
      TabIndex        =   12
      TabStop         =   0   'False
      Top             =   1080
      Width           =   6615
   End
   Begin VB.TextBox OcrText 
      Height          =   375
      Left            =   960
      Locked          =   -1  'True
      TabIndex        =   8
      TabStop         =   0   'False
      Top             =   600
      Width           =   5775
   End
   Begin VB.TextBox MicrText 
      Height          =   375
      Left            =   960
      Locked          =   -1  'True
      TabIndex        =   7
      TabStop         =   0   'False
      Top             =   120
      Width           =   5775
   End
   Begin VB.CommandButton btnExit 
      Caption         =   "Exit"
      Height          =   375
      Left            =   5640
      TabIndex        =   3
      Top             =   6720
      Width           =   1095
   End
   Begin VB.CommandButton btnScan 
      Caption         =   "Scan"
      Height          =   375
      Left            =   1920
      TabIndex        =   1
      Top             =   6720
      Width           =   1215
   End
   Begin VB.CommandButton btnMicrStatusBack 
      Caption         =   "MSB"
      Height          =   255
      Left            =   5880
      TabIndex        =   11
      Top             =   7440
      Width           =   615
   End
   Begin VB.Label Label2 
      Caption         =   "OCR data"
      Height          =   255
      Left            =   120
      TabIndex        =   10
      Top             =   720
      Width           =   975
   End
   Begin VB.Label Label1 
      Caption         =   "MICR data"
      Height          =   255
      Left            =   120
      TabIndex        =   9
      Top             =   240
      Width           =   855
   End
End
Attribute VB_Name = "TMS1000SampleForm"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Dim m_objApi As ApiUsage
Dim m_objConfig As PropertiseClass
Dim m_lTransactionNumber As Long
Dim m_lScanStartTime As Long
Dim m_objDeviceStatusF As DeviceStatusForm
Public m_bDeviceStatus As Boolean

' Set status
Public Sub SetDeviceStatus(Status As Long)
    ' If DeviceStatusForm is display, set status
    If (m_bDeviceStatus) Then
        m_objDeviceStatusF.SetDeviceStatus (Status)
    End If
End Sub

' this method is called when the user click the DeviceStatus button
Private Sub btnDeviceStatus_Click()
    If Not (m_bDeviceStatus) Then
        m_bDeviceStatus = True
        Set m_objDeviceStatusF = New DeviceStatusForm
        Set m_objDeviceStatusF.m_objTms1000 = Me
        m_objDeviceStatusF.SetDeviceStatus (m_objApi.GetStatus)
        m_objDeviceStatusF.Show vbModeless
    End If
    m_objDeviceStatusF.SetFocus
End Sub

Private Sub btnCancel_Click()
    m_objApi.Cancel
End Sub

' Execute cleaning
Private Sub btnCleaning_Click()
    m_objApi.Cleaning
End Sub

' this method is called when the user click the configure button
Private Sub btnConfigure_Click()
    Dim Dlg As ConfigureForm
    Set Dlg = New ConfigureForm
    Set Dlg.m_objConfig = m_objConfig
    Dlg.Show vbModal
    Set m_objConfig = Dlg.GetProp()
    Set m_objApi.m_objConfig = m_objConfig
    m_objApi.Configure
End Sub

' Called when DeviceStatus status is sent
Private Sub btnSetStatusBack_Click()
    m_objApi.SetStatusCallback
End Sub

' Called when scanning with BiSCNMICRFunctionPostPrint/BiSCNMICRFunctionContinuously
Private Sub btnMicrStatusBack_Click()
    m_objApi.MicrStatusCallback
End Sub

'this method is called when the user click the Stop Buzzer button
Private Sub btnStopBuzzer_Click()
    Call m_objApi.StopBuzzer
End Sub

Private Sub Form_Load()
    btnMicrStatusBack.Enabled = False
    btnSetStatusBack.Enabled = False
    m_bDeviceStatus = False
    Set m_objApi = New ApiUsage
    Set m_objConfig = New PropertiseClass
    Set m_objApi.m_objMainForm = Me
    Set m_objApi.m_objConfig = m_objConfig
    m_objApi.SetStatusBackWnd
    m_objApi.Configure
End Sub

' this method is called when the user click the scan button
Private Sub btnScan_Click()
    btnScan.Enabled = False
    btnConfigure.Enabled = False
    btnCleaning.Enabled = False
    Me.Caption = "TM-S1000SampleStep7"
    MicrText.Text = ""
    OcrText.Text = ""
    FrontPicture.Cls
    BackPicture.Cls

    m_lTransactionNumber = m_objApi.GetTransactionNumber
    m_lScanStartTime = GetTickCount()

    m_objApi.Scan
End Sub

' This method is called when the Complete scan
Public Sub Complate(ByVal lastTransactionNumber As Integer)
    Dim ProcessTime As Long
    Dim rate As Double
    Dim count As Integer
    
    ' Calculation as a result of measuring
    ProcessTime = GetTickCount() - m_lScanStartTime
    If Not (ProcessTime = 0) Then
        ProcessTime = ProcessTime - m_objApi.GetStartWaitTime
        count = lastTransactionNumber - m_lTransactionNumber + 1
        rate = 60000 * count / ProcessTime
    End If
    Me.Caption = "TM-S1000SampleStep7 - Scan Complete(" + CStr(count) + " @ " + Format(rate, "0.00") + " DPM )"
    btnScan.Enabled = True
    btnConfigure.Enabled = True
    btnCleaning.Enabled = True
End Sub

' this method is called when the user click the exit button
Private Sub btnExit_Click()
    Unload Me
End Sub

' this method is called when the user click the close button
Private Sub Form_QueryUnload(Cancel As Integer, UnloadMode As Integer)
    FrontPicture.Cls
    BackPicture.Cls
    m_objApi.ScanEnd
    If (m_bDeviceStatus) Then
        m_objDeviceStatusF.Cancel
    End If
End Sub

' this method is settings image data
Public Sub SetImage(ByVal DataPoint As Long, ByRef pSize() As Byte, ByVal bFace As Boolean)
    Dim pDC As Long
    Dim lRet As Long
    Dim lSize As Long
    Dim pBI As BITMAPINFO
    Dim pBFH As BITMAPFILEHEADER
    Dim pRGB As RGBQUAD
    Dim lImageData As Long
    Dim Image As Long
    Dim pBI_256 As BITMAPINFO_256
    Dim BIbuf(LenB(pBI)) As Byte
    Dim BIbuf_256(LenB(pBI_256)) As Byte
    ' Color pallet uses the structure that defined 256 bmiColors of BITMAPINFO,
    ' because there are 256 color at the time of the gray scale
    ' Number of the color pallet defines bmiColors only the number of the color pallet,
    ' in the case that it indicates it with the BMP form that differs
   
    Call CopyMemory(lSize, pSize(1), 4)

    If Not (DataPoint = 0) Then
        If Not (lSize = 0) Then
            Dim hdc As Long
            hdc = GetDC(Me.hwnd)
            Dim lReadSize As Long
            Dim lProcessID As Long
            Dim ProcessHandle As Long
            If (bFace = True And m_objConfig.GetValue(FRONT_GRAYSCALE) Or _
                bFace = False And m_objConfig.GetValue(BACK_GRAYSCALE)) Then
                ' grayscale
                
                ' Copy BITMAPINFO data to pBI_256
                Call GetWindowThreadProcessId(hwnd, lProcessID)
                ProcessHandle = OpenProcess(16, False, lProcessID)
                Call ReadProcessMemory(ProcessHandle, ByVal DataPoint + LenB(pBFH), BIbuf_256(0), LenB(pBI_256), lReadSize)
    
                Call CopyMemory(pBI_256, BIbuf_256(0), LenB(pBI_256))
                
                ' Starting position of image data is bound to lImageData
                lImageData = DataPoint + (LenB(pBFH) + pBI_256.bmiHeader.biSize + (256 * LenB(pRGB)))
                Image = CreateDIBitmap_256(hdc, pBI_256.bmiHeader, CBM_INIT, lImageData, pBI_256, DIB_RGB_COLORS)
                Call ReleaseDC(Me.hwnd, hdc)
           Else
                ' 2 value image
                
                ' Copy BITMAPINFO data to pBI
                Call GetWindowThreadProcessId(hwnd, lProcessID)
                ProcessHandle = OpenProcess(16, False, lProcessID)
                Call ReadProcessMemory(ProcessHandle, ByVal DataPoint + LenB(pBFH), BIbuf(0), LenB(pBI), lReadSize)
        
                Call CopyMemory(pBI, BIbuf(0), LenB(pBI))
                
                ' Starting position of image data is bound to lImageData
                lImageData = DataPoint + (LenB(pBFH) + pBI.bmiHeader.biSize + (2 * LenB(pRGB)))
                Image = CreateDIBitmap(hdc, pBI.bmiHeader, CBM_INIT, lImageData, pBI, DIB_RGB_COLORS)
                Call ReleaseDC(Me.hwnd, hdc)
           End If
        End If
    End If

    If (bFace) Then
        ' Front
        Call DisplayImage(FrontPicture, Image)
    Else
        ' Back
        Call DisplayImage(BackPicture, Image)
    End If

    If Not (Image = 0) Then
        Call DeleteObject(Image)
        Image = 0
    End If
    
End Sub

' this method is display Image
Private Sub DisplayImage(ByVal Picture As PictureBox, ByVal lImage As Long)
    Picture.Cls
    If (lImage = 0) Then
        Exit Sub
    End If

    Dim lRet As Long
    Dim ImageDC As Long
    Dim Bmp As BITMAP
        
    ImageDC = CreateCompatibleDC(Picture.hdc)
    lRet = SelectObject(ImageDC, lImage)
    
    Picture.AutoRedraw = True
    If Not (GetObject(lImage, LenB(Bmp), Bmp) = 0) Then
        Dim lPicWidth As Long
        Dim lPicHeight As Long
        Dim rectPict As RECT
        
        Call GetClientRect(Picture.hwnd, rectPict)
        lPicWidth = rectPict.Right - rectPict.Left
        lPicHeight = rectPict.Bottom - rectPict.Top
        
        
        Call SetStretchBltMode(Picture.hdc, COLORONCOLOR)
        Call StretchBlt(Picture.hdc, _
                        0, _
                        0, _
                        lPicWidth, _
                        lPicHeight, _
                        ImageDC, _
                        0, _
                        0, _
                        Bmp.bmWidth, _
                        Bmp.bmHeight, _
                        SRCCOPY)
        Call SelectObject(lImageDC, lRet)
        Call DeleteObject(lImageDC)
        Picture.Refresh
    End If
    Call DeleteDC(ImageDC)
End Sub

' This method is called when the confirmaiton mode
' Display the Setting Dialog for BiSetBehaviorToScnResult
Public Property Get ConfirmationMode()
    Dim Dlg As ConfirmationModeForm
    Set Dlg = New ConfirmationModeForm
    Set Dlg.m_objConfig = m_objConfig
    Dlg.Show vbModal
    Set m_objConfig = Dlg.GetProp()
    Set m_objApi.m_objConfig = m_objConfig
    ConfirmationMode = m_objConfig.GetValue(CONFIRMATION_OK)
End Property


